To install MPFI library :

For the impatient user, type in the source directory:

./configure
make
make install

This will install shared and static versions of libmpfi in the default install
directory. Read INSTALL in the source directory for details.


CONFIGURE EXTRA OPTIONS
(read INSTALL for general options)
You can specify the GMP and MPFR installation directories with the following
configure options:
--with-gmp=<gmp installation directory>
--with-mpfr=<mpfr installation directory>


TEST FAILURE
With GMP 5.0.x, you may experience a failure in tcbrt like the following:

rootrem.c:339: GNU MP assertion failed: bn>= qn
/bin/sh: line 5: 27307 Aborted                 ${dir}$tst
FAIL: tcbrt

This is probably due to the fact that gcc version 4.3.2 miscompiles GMP
5.0.x. There is nothing to do but to recompile GMP with another version of gcc.


IMPORTANT:
Note that default installation path is /usr/local/lib.
If you configured MPFI with --prefix=some/path or if you are using a distribution
like Debian, the library may not be found at running time.

If you compile a soft using mpfi and have an error at execution time such as:

error while loading shared libraries: libmpfi.so.0: cannot open shared object file: No such file or directory

try adding /some/path (or /usr/local/lib in the case of Debian) to LD_LIBRARY_PATH
